org.bouncycastle.asn1.teletrust

## Interface TeleTrusTObjectIdentifiers

    public interface TeleTrusTObjectIdentifiers

### Field Summary

Fields
`static DERObjectIdentifier` `brainpoolP160r1`
`static DERObjectIdentifier` `brainpoolP160t1`
`static DERObjectIdentifier` `brainpoolP192r1`
`static DERObjectIdentifier` `brainpoolP192t1`
`static DERObjectIdentifier` `brainpoolP224r1`
`static DERObjectIdentifier` `brainpoolP224t1`
`static DERObjectIdentifier` `brainpoolP256r1`
`static DERObjectIdentifier` `brainpoolP256t1`
`static DERObjectIdentifier` `brainpoolP320r1`
`static DERObjectIdentifier` `brainpoolP320t1`
`static DERObjectIdentifier` `brainpoolP384r1`
`static DERObjectIdentifier` `brainpoolP384t1`
`static DERObjectIdentifier` `brainpoolP512r1`
`static DERObjectIdentifier` `brainpoolP512t1`
`static DERObjectIdentifier` `ecc_brainpool`
`static DERObjectIdentifier` `ecSign`
`static DERObjectIdentifier` `ecSignWithRipemd160`
`static DERObjectIdentifier` `ecSignWithSha1`
`static DERObjectIdentifier` `ellipticCurve`
`static DERObjectIdentifier` `ripemd128`
`static DERObjectIdentifier` `ripemd160`
`static DERObjectIdentifier` `ripemd256`
`static DERObjectIdentifier` `rsaSignatureWithripemd128`
`static DERObjectIdentifier` `rsaSignatureWithripemd160`
`static DERObjectIdentifier` `rsaSignatureWithripemd256`
`static java.lang.String` `teleTrusTAlgorithm`
`static java.lang.String` `teleTrusTRSAsignatureAlgorithm`
`static DERObjectIdentifier` `versionOne`

### Field Detail

#### teleTrusTAlgorithm

    static final java.lang.String teleTrusTAlgorithm

See Also:
  Constant Field Values

#### ripemd160

    static final DERObjectIdentifier ripemd160

#### ripemd128

    static final DERObjectIdentifier ripemd128

#### ripemd256

    static final DERObjectIdentifier ripemd256

#### teleTrusTRSAsignatureAlgorithm

    static final java.lang.String teleTrusTRSAsignatureAlgorithm

See Also:
  Constant Field Values

#### rsaSignatureWithripemd160

    static final DERObjectIdentifier rsaSignatureWithripemd160

#### rsaSignatureWithripemd128

    static final DERObjectIdentifier rsaSignatureWithripemd128

#### rsaSignatureWithripemd256

    static final DERObjectIdentifier rsaSignatureWithripemd256

#### ecSign

    static final DERObjectIdentifier ecSign

#### ecSignWithSha1

    static final DERObjectIdentifier ecSignWithSha1

#### ecSignWithRipemd160

    static final DERObjectIdentifier ecSignWithRipemd160

#### ecc_brainpool

    static final DERObjectIdentifier ecc_brainpool

#### ellipticCurve

    static final DERObjectIdentifier ellipticCurve

#### versionOne

    static final DERObjectIdentifier versionOne

#### brainpoolP160r1

    static final DERObjectIdentifier brainpoolP160r1

#### brainpoolP160t1

    static final DERObjectIdentifier brainpoolP160t1

#### brainpoolP192r1

    static final DERObjectIdentifier brainpoolP192r1

#### brainpoolP192t1

    static final DERObjectIdentifier brainpoolP192t1

#### brainpoolP224r1

    static final DERObjectIdentifier brainpoolP224r1

#### brainpoolP224t1

    static final DERObjectIdentifier brainpoolP224t1

#### brainpoolP256r1

    static final DERObjectIdentifier brainpoolP256r1

#### brainpoolP256t1

    static final DERObjectIdentifier brainpoolP256t1

#### brainpoolP320r1

    static final DERObjectIdentifier brainpoolP320r1

#### brainpoolP320t1

    static final DERObjectIdentifier brainpoolP320t1

#### brainpoolP384r1

    static final DERObjectIdentifier brainpoolP384r1

#### brainpoolP384t1

    static final DERObjectIdentifier brainpoolP384t1

#### brainpoolP512r1

    static final DERObjectIdentifier brainpoolP512r1

#### brainpoolP512t1

    static final DERObjectIdentifier brainpoolP512t1